Rated 5 out of 5 stars

I LOVE this add-on, but it isn't working with my older Firefox anymore. I HATE the new Firefox and refuse to load it. The last time I did, I had to reload windows. Why isn't this working with 3.5?

This review is for a previous version of the add-on (7.0.1). 

Older Versions

You can find the older versions of eQuake Alert here: https://addons.mozilla.org/en-US/firefox/addon/equake-alert/versions/

For FF 3.5, you can install this version of eQuake: https://addons.mozilla.org/en-US/firefox/addon/equake-alert/versions/3.5.0